/*
    Bantumi
    Copyright 2005, 2006 Martin Storsj

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

    Martin Storsj
    martin@martin.st
*/

#include <avkon.hrh>
#include <aknnotewrappers.h>
#include <stringloader.h>
#include <flogger.h>
#include <bantumigl.rsg>

#include "bantumi.pan"
#include "bantumiappui.h"
#include "bantumiappview.h"
#include "bantumi.hrh"
#include "bantumi.h"

void CBantumiAppUi::ConstructL() {
	BaseConstructL();
	iAppView = CBantumiAppView::NewL(ClientRect(), ETrue);
	AddToStackL(iAppView);
}

CBantumiAppUi::CBantumiAppUi() {
}

CBantumiAppUi::~CBantumiAppUi() {
	if (iAppView) {
		delete iAppView;
		iAppView = NULL;
	}
}

void CBantumiAppUi::HandleCommandL(TInt aCommand) {
	switch(aCommand) {
	case EEikCmdExit:
	case EAknSoftkeyExit:
	case EAknSoftkeyBack:
		DoExit();
		break;

	case EBantumiSoftkey1:
		if (iAppView->iBantumi)
			iAppView->iBantumi->pressed(START);
		break;

	case EBantumiSoftkey2:
		if (iAppView->iBantumi)
			iAppView->iBantumi->pressed(ESCAPE);
		break;

	default:
		Panic(EBantumiUi);
		break;
	}
}

void CBantumiAppUi::HandleForegroundEventL(TBool aForeground) {
	iAppView->SetForeground(aForeground);
}

void CBantumiAppUi::SetEmphasis(CCoeControl* aMenuControl, TBool aEmphasis) {
	iAppView->SetForeground(!aEmphasis);
}

void CBantumiAppUi::DynInitMenuBarL(TInt aResourceId, CEikMenuBar* aMenuBar) {
	iAppView->SetForeground(EFalse);
}

void CBantumiAppUi::DoExit() {
	TRAPD(err, SaveL());
	Exit();
}




